Index: board/omap1510inn/Makefile
===================================================================
RCS file: /cvsroot/u-boot/u-boot/board/omap1510inn/Makefile,v
retrieving revision 1.1
diff -p -u -r1.1 Makefile
--- board/omap1510inn/Makefile	15 Jul 2003 20:04:06 -0000	1.1
+++ board/omap1510inn/Makefile	19 Jul 2004 20:50:28 -0000
@@ -25,7 +25,7 @@ include $(TOPDIR)/config.mk
 
 LIB	= lib$(BOARD).a
 
-OBJS	:= omap1510innovator.o flash.o
+OBJS	:= omap1510innovator.o
 SOBJS	:= platform.o
 
 $(LIB):	$(OBJS) $(SOBJS)
Index: include/configs/omap1510inn.h
===================================================================
RCS file: /cvsroot/u-boot/u-boot/include/configs/omap1510inn.h,v
retrieving revision 1.3
diff -p -u -r1.3 omap1510inn.h
--- include/configs/omap1510inn.h	6 Dec 2003 23:55:11 -0000	1.3
+++ include/configs/omap1510inn.h	19 Jul 2004 20:50:28 -0000
@@ -163,10 +163,17 @@
 #define PHYS_FLASH_SIZE		0x01000000 /* 16MB */
 #define CFG_MAX_FLASH_SECT	(128)	/* max number of sectors on one chip */
 #define CFG_ENV_ADDR		(CFG_FLASH_BASE + 0x020000) /* addr of environment */
+#define CFG_FLASH_CFI		1		/* Flash memory is CFI compliant	*/
+#define CFG_FLASH_CFI_DRIVER	1		/* Use drivers/cfi_flash.c 		*/
+#define CFG_FLASH_USE_BUFFER_WRITE	1	/* Use buffered writes (10x faster)	*/
+#define CFG_MONITOR_BASE	CFG_FLASH_BASE	/* Monitor at beginning of flash	*/
+#define CFG_MONITOR_LEN		(128 << 10)	/* Reserve 128kB			*/
 
 /* timeout values are in ticks */
+#ifndef CFG_FLASH_CFI_DRIVER
 #define CFG_FLASH_ERASE_TOUT	(20*CFG_HZ) /* Timeout for Flash Erase */
 #define CFG_FLASH_WRITE_TOUT	(20*CFG_HZ) /* Timeout for Flash Write */
+#endif
 
 #define CFG_ENV_IS_IN_FLASH	1
 #define CFG_ENV_SIZE		0x20000 /* Total Size of Environment Sector */
